#ifndef REG2676_FLASH
#define REG2676_FLASH

typedef unsigned int   uword;    

#define FARH     (*((uword volatile far *) 0x0E0012))
#define FARL     (*((uword volatile far *) 0x0E0010))
#define FCR0H    (*((uword volatile far *) 0x0E0002))
#define FCR0L    (*((uword volatile far *) 0x0E0000))
#define FCR1H    (*((uword volatile far *) 0x0E0006))
#define FCR1L    (*((uword volatile far *) 0x0E0004))
#define FDR0H    (*((uword volatile far *) 0x0E000A))
#define FDR0L    (*((uword volatile far *) 0x0E0008))
#define FDR1H    (*((uword volatile far *) 0x0E000E))
#define FDR1L    (*((uword volatile far *) 0x0E000C))
#define FER      (*((uword volatile far *) 0x0E0014))
#define FNVAPR0  (*((uword volatile far *) 0x0EDFB8))
#define FNVAPR1H (*((uword volatile far *) 0x0EDFBE)
#define FNVAPR1L (*((uword volatile far *) 0x0EDFBC))
#define FNVWPIRH (*((uword volatile far *) 0x0EDFB7))
#define FNVWPIRL (*((uword volatile far *) 0x0EDFB4))
#define FNVWPXRH (*((uword volatile far *) 0x0EDFB2))
#define FNVWPXRl (*((uword volatile far *) 0x0EDFB0))
#define XFICR    (*((uword volatile far *) 0x0EE000))

#endif  // ifndef REG2676_FLASH

